// telefonos.h - Declaración de la clase CTelefonos
#if !defined( _TELEFONOS_H_ )
#define _TELEFONOS_H_

#include <fstream>
#include "persona.h"

/////////////////////////////////////////////////////////////////
// clase base de datos
class CTelefonos : private std::fstream
{
  private:
    int modo; // 1 = leer y escribir, 2 = añadir
  public:
    CTelefonos();
    ~CTelefonos();
    int Modo() { return modo; }
    bool Existe(std::string&);  // true si el fichero existe
    CPersona LeerReg(long nreg) throw(failure); // leer un registro
    void Nuevo(std::string&) throw(failure); // crear un fichero
    void Abrir(std::string&) throw(failure); // abrir un fichero
    void Agregar() throw(failure); // añadir registros al fichero
    long Buscar(const char *, long pos); // buscar un registro
    void Modificar() throw(failure); // modificar un registro
};
#endif // _TELEFONOS_H_
/////////////////////////////////////////////////////////////////
